Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Query Parameters
tenantId?string
Get password settings for a tenant
This endpoint allows you to get the password settings of a given tenant.
See Also
- See tenant password settings for details about tenant password settings.
curl -X GET "https://api.descope.com/v1/mgmt/password/settings"{ "minLength": 0, "lowercase": true, "uppercase": true, "number": true, "nonAlphanumeric": true, "expiration": true, "expirationWeeks": 0, "reuse": true, "reuseAmount": 0, "lock": true, "lockAttempts": 0, "tenantId": "string", "enabled": true, "tempLock": true, "tempLockAttempts": 0, "tempLockDuration": 0, "enablePasswordStrength": true, "passwordStrengthScore": 0}export interface Response {minLength?: numberlowercase?: booleanuppercase?: booleannumber?: booleannonAlphanumeric?: booleanexpiration?: booleanexpirationWeeks?: numberreuse?: booleanreuseAmount?: numberlock?: booleanlockAttempts?: numbertenantId?: stringenabled?: booleantempLock?: booleantempLockAttempts?: numbertempLockDuration?: numberenablePasswordStrength?: booleanpasswordStrengthScore?: number} Was this helpful?
Delete Tenant POST
### Delete a tenant, using a valid management key. This API endpoint will delete a tenant utilizing a valid management key based on the provided user tenandId. ### See also - See [Tenant Management](/management/tenant-management) for further details on managing tenants.
Update Tenant Password Settings POST
### Update password settings for a tenant This endpoint allows you to update the password settings of a given tenant. ### See Also - See [tenant password settings](/customize/tenant#passwords) for details about tenant password settings.